package jess;

import java.io.Serializable;

/**
 * (C) 2006 Sandia National Laboratories<BR>
 * $Id: JessVersion.java,v 1.8.2.1 2007/11/28 19:10:12 ejfried Exp $
 */

class JessVersion implements Userfunction, Serializable {
    static final int NUMBER = 0, STRING = 1;
    static final String[] s_names = {"jess-version-number",
                                     "jess-version-string"};
    private int m_name;
    static final String VERSION_STRING = "Jess Version 7.0p2 10/21/2007";

    JessVersion(int name) {
        m_name = name;
    }

    public String getName() {
        return s_names[m_name];
    }
                                                       
    public Value call(ValueVector vv, Context context)
            throws JessException {
        switch (m_name) {
            case NUMBER:
                return new Value(7.0, RU.FLOAT);
            default:
                return new Value(VERSION_STRING, RU.STRING);
        }
    }
}

